/* В этом файле уже написаны некоторые базовые стили, которые сбрасывают или преобразуют дефольное браузерное поведение.
Здесь же лежит утилитарный класс visually-hidden на случай, если нужно скрыть какой-то элемент, но оставить доступным для скринридера.
Вы можете изменять этот файл или дополнять. Но скорее всего, вам это не потребуется. */

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  color: var(--text-color);
  font-family: var(--main-font), sans-serif;
  background-color: var(--bg-color);
  background-image: var(--gradient-bg);
  background-size: cover;
  background-attachment: fixed;
  font-variation-settings: 'wght' var(--text-weight);
}


h1, h2, h3, h4, h5, h6,
p, ul, ol, li,
blockquote, figure, figcaption {
  margin: 0;
  padding: 0;
}


ul, ol {
  list-style: none;
}


a {
  color: inherit;
  text-decoration: none;
}


button,
input,
textarea,
select {
  border: none;
  color: currentColor;
  font-family: inherit;
  font-size: inherit;
  background: transparent;
  cursor: pointer;
}


img {
  display: block;
  max-width: 100%;
  height: auto;
}


.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
}

